# authenticator #

authenticator is a C#/,Net implementation of the Battle.net authenticator algorithm, developed from the specification
at <http://bnetauth.freeportal.us/specification.html>

It has been written against .Net 2.0 just to make distribution easier, although the solution is for Visual Studio 2010
and uses the cryptographic library from [The Legion of the Bouncy Castle](http://www.bouncycastle.org/csharp/index.html).

The authenticator project includes:

- Authenticator, a class of the implementation
- WinAuth, a functional Windows GUI similar to the Mobile Authenticator

## Download ##

Github: <http://github.com/cdmackie/authenticator>

## Running the authenticator ##

### WinAuth ###

WinAuth is a windows Battle.net authenticator, similar to the Mobile Authenticator for iPhone and Android.

![Screenshot](http://github.com/cdmackie/authenticator/raw/master/WinAuth/screen.gif)

Download the files from the `bin` directory, and run WinAuth. The first time you will be prompted to generate new Authenticator data,
which is generated by comminucation with the Battle.net servers. This data must be saved and is used to generate keys. It
is imperative that this file (called `authenticator.xml` by default) is kept safe and secure.

A new code is then generated automatically every 30 seconds (you can only have one code per 30 seconds) and the GUI shows
how much time that code has left to live. If you turn the Auto Refresh off from the menu, you can still click the button to get
the current code.

Right-click in the GUI windows to bring up a menu to load/save different Authenticator data or change various options.

Please note that it is only a beta release, so should not be used on any live data.

### Using the Authenticator class ###

Authenticator is a class library implementing the specification:

	// Create a new Authenticator for a given region
	Authenticator auth = new Authenticator("US");

	// Create a new Authenticator from existing data
	AuthenticatorData data = new AuthenticatorData(mydata);  
	Authenticator auth = new Authenticator(data);

	// Register (enroll) a new device
	Authenticator auth = new Authenticator("US");
	auth.Enroll();

	// Calculate current code for an existing authenticator
	AuthenticatorData data = new AuthenticatorData(mydata);  
	Authenticator auth = new Authenticator(data);
	string code = auth.CalculateCode();


## More Information ##

* [Battle.Net](http://www.battle.net)
* [Battle.Net Authenticator Specification](http://bnetauth.freeportal.us/specification.html)
* [World of Warcraft](http://www.worldofwarcraft.com)

## Author ##

Authenticator and WinAuth were written by Colin Mackie.

All trademarks are recognised, including but not limited to:

* Blizzard
* Battle.Net
* World of Warcraft.

Authenticator and WinAuth. Copyright &copy; 2010. Colin Mackie.

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License  along with this program.  If not, see <http://www.gnu.org/licenses/>.
